tigase.server.sreceiver

## Enum PropertyConstants.SubscrRestrictions

- java.lang.Object
- - java.lang.Enum<PropertyConstants.SubscrRestrictions>
  - - tigase.server.sreceiver.PropertyConstants.SubscrRestrictions

- All Implemented Interfaces:
    Serializable, Comparable<PropertyConstants.SubscrRestrictions>, DefaultValues
  Enclosing class:
    PropertyConstants

      public static enum PropertyConstants.SubscrRestrictions
      extends Enum<PropertyConstants.SubscrRestrictions>
      implements DefaultValues

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL`
    `MODERATED`
    `PUBLIC`
    `REGEX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `strValues()`
    `static PropertyConstants.SubscrRestrictions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyConstants.SubscrRestrictions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final PropertyConstants.SubscrRestrictions PUBLIC

    - #### LOCAL

          public static final PropertyConstants.SubscrRestrictions LOCAL

    - #### REGEX

          public static final PropertyConstants.SubscrRestrictions REGEX

    - #### MODERATED

          public static final PropertyConstants.SubscrRestrictions MODERATED

  - ### Method Detail

    - #### values

          public static PropertyConstants.SubscrRestrictions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyConstants.SubscrRestrictions c : PropertyConstants.SubscrRestrictions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyConstants.SubscrRestrictions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### strValues

          public String[] strValues()

      Specified by:
        `strValues` in interface `DefaultValues`

Copyright © 2022 "Tigase, Inc.". All rights reserved.